Bug 152254 - [Fetch API] Add fetch API compile time flag
Summary: [Fetch API] Add fetch API compile time flag
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords:
Depends on:
Blocks: 151937
  Show dependency treegraph
 
Reported: 2015-12-14 09:07 PST by youenn fablet
Modified: 2016-01-12 08:18 PST (History)
3 users (show)

See Also:


Attachments
Patch (50.18 KB, patch)
2015-12-15 06:37 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2015-12-14 09:07:26 PST
Fetch API should be implemented behind a compile flag
Comment 1 youenn fablet 2015-12-15 06:37:56 PST
Created attachment 267368 [details]
Patch
Comment 2 Darin Adler 2015-12-15 09:10:59 PST
Comment on attachment 267368 [details]
Patch

OK, but why the use of “API” here in the name of this? All the other features are also APIs but we don’t say “API” in their conditionals.
Comment 3 youenn fablet 2015-12-16 02:25:10 PST
FETCH might be a bit too generic.
Also, FETCH may apply to the fetch algorithm that is exposed by the fetch API.
At some point, it might be worth implementing the fetch algorithm as a replacement/refactoring of current resource loader code.
Comment 4 WebKit Commit Bot 2015-12-16 03:13:35 PST
Comment on attachment 267368 [details]
Patch

Clearing flags on attachment: 267368

Committed r194140: <http://trac.webkit.org/changeset/194140>
Comment 5 WebKit Commit Bot 2015-12-16 03:13:39 PST
All reviewed patches have been landed.  Closing bug.